<div ng-controller="ProductorTrabajadorController">
  <div class="page page-tables-bootstrap">
    <div class="pageheader">
      <div class="page-bar">
        <ul class="page-breadcrumb">
          <li>
            <a ui-sref="admin.dashboard"><i class="fa fa-home"></i> Home</a>
          </li>
          <li>
            <a ui-sref="admin.productor.productor">Productor</a>
          </li>
          <li>
            <a>Trabajador</a>
          </li>
        </ul>
      </div>
    </div>
    <div class="pagecontent">
      <div class="row">
        <div class="col-md-12">
          <div class="panel">
            <div class="panel-body">
              <div class="row">
              <div class="col-md-7">
                Productor : <strong>{{productor.fullname | uppercase}}</strong>
              </div>
              <div class="col-md-1">
                <!-- Aréa Total : <strong>{{productor.area_total | number : 2}}</strong> -->
              </div>
              <div class="col-md-4">
                <div class="pull-right">
                  <a class="btn btn-xs btn-primary btn-rounded-10" ui-sref="admin.productor.productor"><i class="fa fa-arrow-left"></i>  Regresar</a>
                </div>
              </div>
            </div>
            </div>
          </div> 
        </div>
        <div class="col-md-12">
          <section class="tile" fullscreen="isFullscreen08">
            <div class="tile-header dvd dvd-btm">
              <h1 class="custom-font"><i class="fa fa-list"></i> LISTA DE TRABAJADORES</h1>
            </div>
            <div class="tile-body p-1">
              <div class="row">
                <div class="col-md-6">
                  <div class="form-group">
                    <input type="text" class="form-control" ng-model="buscar" placeholder="Buscar Trabajador">
                  </div>
                </div>
                <div class="col-md-2">
                  
                </div>
                <div class="col-md-4">
                  <button class="btn btn-success btn-rounded-10 btn-block btn-border" ng-click="clear();openModalSave($event)"  data-options="splash-2 splash-ef-14"><i class="fa fa-plus"></i> agregar trabajador</button>
                </div>
                <div class="col-md-12">
                  <hr>
                </div>
              </div>

              <div class="row" ng-if="isLoading">
                <div class="col-md-12">
                  <loading></loading>
                </div>
              </div>              

              <div class="row" ng-if="!isLoading">
                  <div class="col-md-12">
                    <h5 class="text-right"><strong>CANTIDAD : {{trabajadores.length}} TRABAJADORES</strong></h5>
                  </div>
                  <div class="col-md-12" ng-if="trabajadores.length > 0">
                    <small>
                      <div class="table-responsive">
                        <table class="table table-hover table-bordered">
                          <thead>
                            <tr>
                              <th>APELLIDOS Y NOMBRES</th>                              
                              <th class="text-center">PARENTESCO</th>
                              <th class="text-center">CONDICIÓN</th>
                              <th class="text-center">DESCRIPCIÓN</th>
                              <th class="text-center">OPCIONES</th>
                            </tr>
                          </thead>
                          <tbody>
                            <tr dir-paginate="trabajador in trabajadores |filter: buscar | itemsPerPage: 10" pagination-id="trabajador.id">
                              <td>{{trabajador.fullname | uppercase}}</td>
                              <td class="text-center">{{trabajador.nombre_parentesco | uppercase}}</td>
                              <td class="text-center">{{(trabajador.nombre_condicion | uppercase)}}</td>
                              <td class="text-center">{{trabajador.descripcion | uppercase}}</td>
                              <td class="text-center">
                                <div class="input-group-btn">
                                  <button class="btn btn-info btn-border btn-sm btn-radius-left" title="EDITAR TRABAJADOR {{trabajador.nombre}}" data-options="splash-2 splash-ef-14" ng-click="load(trabajador);openModalSave($event)"><span class="fa fa-edit"></span></button>
                                  <button class="btn btn-danger btn-border btn-sm btn-radius-right" title="ELIMINAR TRABAJADOR {{trabajador.nombre}}" data-options="splash-2 splash-ef-14" ng-click="load(trabajador);openModalDelete($event)"><span class="fa fa-trash"></span></button>
                                </div>
                              </td>
                            </tr>
                          </tbody>
                        </table>
                      </div>
                    </small>
                    <div class="text-center">
                      <dir-pagination-controls pagination-id="trabajador.id"></dir-pagination-controls>
                    </div>
                  </div>
                  <div class="col-md-12" ng-if="trabajadores.length == 0">
                    <p class="text-center">
                      <i class="icon-info fa-4x"></i>
                      <h5 class="text-center">no hay trabajadores registrados...</h5>
                    </p>
                  </div>
              </div>

            </div>
            <div class="tile-footer p-1">
              <div class="text-right">
                <span class="text-light" style="font-size: 10px;color: black;font-weight: bold;">&copy; COOPERATIVA AGRARIA APPBOSA / BARRIO NUEVA ESPERANZA S-N / SAMAN - PERÚ </span>
              </div>
            </div>
          </section>
        </div>
      </div>
    </div>
  </div>
  <script  type="text/ng-template" id="trabajador_modal.html">
    <div class="modal-header">
      <div class="text-center">
        <title-modal name="Trabajador"></title-modal>
      </div>            
    </div>
    <div class="modal-body">

      <form ng-submit="createEdit()">

        <div class="row">
          <div class="col-md-6" ng-if="obj.isSave">
            <div class="form-group">
              <label for="operacion">Tipo Trabajador<span class="obligatorio">*</span></label>
              <select class="form-control uppercase" name="operacion" ng-model="obj.operacion" ng-change="clear()" ng-options="operacion.id as operacion.nombre for operacion in operaciones" required>
              </select>
            </div>
          </div>
          <div class="col-md-6" ng-if="obj.operacion == 4"></div>
          <div class="col-md-6" ng-if="obj.operacion != 4">
            <div class="form-group">
              <label for="id_parentesco">Parentesco</label>
              <select class="form-control uppcase" name="id_parentesco" ng-model="obj.id_parentesco" ng-options="parentesco.id as parentesco.nombre for parentesco in parentescos">
                <option value="">-- PARENTESCO --</option>
              </select>
            </div>
          </div>
        </div>

        <div class="row" ng-if="obj.operacion == 3">
          <div class="col-md-12">
            <div class="form-group">
              <label for="id_trabajador">Productor<span class="obligatorio">*</span></label>
              <select class="form-control uppercase" name="id_trabajador" ng-model="obj.id_trabajador" ng-change="selectPersona(productores,obj.id_trabajador)" ng-options="productor.id as productor.fullname for productor in productores">
                <option value="">-- SELECCIONE PRODUCTOR --</option>
              </select> 
            </div>
          </div>
        </div>

        <div class="row" ng-if="obj.operacion == 2">
          <div class="col-md-12">
            <div class="form-group">
              <label for="id_trabajador">Trabajador<span class="obligatorio">*</span></label>
              <select class="form-control uppercase" name="id_trabajador" ng-model="obj.id_trabajador" ng-change="selectPersona(trabajadores,obj.id_trabajador)" ng-options="trabajador.id as trabajador.fullname for trabajador in trabajadores">
                <option value="">-- SELECCIONE TRABAJADOR --</option>
              </select> 
            </div>
          </div>
        </div>

        <div class="row">
          <div class="col-md-12">
            <div class="form-group">
              <label for="nombre">Nombres<span class="obligatorio">*</span></label>
              <input type="text" class="form-control uppercase" name="nombre" ng-model="obj.nombre"  ng-readonly="obj.operacion != 1" placeholder="Nombres" required> 
            </div>
          </div>
        </div>

        <div class="row">
          <div class="col-md-6">
            <div class="form-group">
              <label for="apellido_paterno">Apellido Paterno<span class="obligatorio">*</span></label>
              <input type="text" class="form-control uppercase" name="apellido_paterno" ng-model="obj.apellido_paterno" ng-readonly="obj.operacion != 1" placeholder="Apellido Paterno" required> 
            </div>
          </div>
          <div class="col-md-6">
            <div class="form-group">
              <label for="apellido_materno">Apellido Materno<span class="obligatorio">*</span></label>
              <input type="text" class="form-control uppercase" name="apellido_materno" ng-model="obj.apellido_materno" ng-readonly="obj.operacion != 1" placeholder="Apellido Materno" required>  
            </div>
          </div>
        </div>

        <div class="row">
          <div class="col-md-6">
            <div class="form-group">
              <label for="dni">DNI<span class="obligatorio">*</span></label>
              <input type="text" class="form-control" name="dni" ng-model="obj.dni" ng-readonly="obj.operacion != 1" placeholder="DNI" required> 
            </div>
          </div>
          <div class="col-md-6">
            <div class="form-group">
              <label for="telefono">Teléfono</label>
              <input type="text" class="form-control" name="telefono" ng-model="obj.telefono" ng-readonly="obj.operacion != 1" placeholder="999-999-999"> 
            </div>
          </div>
        </div>

        <div class="row">
          <div class="col-md-12">
            <div class="form-group">
              <label for="direccion">Dirección</label>
              <input type="text" class="form-control uppercase" name="direccion" ng-model="obj.direccion" ng-readonly="obj.operacion != 1" placeholder="Dirección" required> 
            </div>
          </div>
        </div>

        <div class="row">
          <div class="col-md-4">
            <div class="form-group">
              <label for="id_condicion">Condición<span class="obligatorio">*</span></label>
              <select class="form-control" name="id_condicion" ng-model="obj.id_condicion" ng-options="condicion.id as condicion.nombre for condicion in condiciones" required>
                <option value="">-- CONDICIÓN --</option>
              </select> 
            </div>
          </div>
          <div class="col-md-8">
            <div class="form-group">
              <label for="descripcion uppercase">Descripción</label>
              <textarea class="form-control uppercase" name="descripcion" id="descripcion" ng-model="obj.descripcion" rows="2"></textarea>
            </div>
          </div>
        </div>
        
        <div class="text-center">
          <button-save ng-if="!httpRequest"></button-save>
          <button-spin ng-if="httpRequest"></button-spin>
          <button-cancel></button-cancel>
        </div>
      </form>
    </div>
  </script>
  <script  type="text/ng-template" id="trabajador_delete_modal.html">
    <div class="modal-body">

      <form ng-submit="delete()">
        <form-delete></form-delete>
      </form>
    </div>
  </script>
</div>